package jp.mosp.payroll.dto;

import java.util.Date;

import jp.mosp.common.common.BaseDto;

public class CmCommutationDto extends BaseDto {
	
	private static final long	serialVersionUID	= -3880088734741025118L;
	
	// フィールド
	private String				kCode;											// 社員コード
	private int					commuteSequence;								// 通勤手当連番
	private String				commuteType;									// 通勤手当区分
	private String				paymentInterval;								// 支給間隔
	private String				lumpMonthlyType;								// 一括区分
	private Date				payStartMonth;									// 支給開始月
	private float				commuteDistance;								// 片道距離
	private int					commuteAmount;									// 通勤手当支給額
	private int					commuteTaxed;									// 課税通勤費
	private int					deleteFlag;									// 削除フラグ
																				
	private String				kName;											// 社員名
																				
	
	/**
	 * コンストラクタ
	 */
	public CmCommutationDto() {
		super();
	}
	
	// アクセサメソッド
	public String getKCode() {
		return kCode;
	} // 社員コード
	
	public int getCommuteSequence() {
		return commuteSequence;
	} // 通勤手当連番
	
	public String getCommuteType() {
		return commuteType;
	} // 通勤手当区分
	
	public String getPaymentInterval() {
		return paymentInterval;
	} // 支給間隔
	
	public String getLumpMonthlyType() {
		return lumpMonthlyType;
	} // 一括区分
	
	public Date getPayStartMonth() {
		return getDateField(payStartMonth);
	} // 支給開始月ド
	
	public float getCommuteDistance() {
		return commuteDistance;
	} // 片道距離
	
	public int getCommuteAmount() {
		return commuteAmount;
	} // 通勤手当支給額
	
	public int getCommuteTaxed() {
		return commuteTaxed;
	} // 課税通勤費
	
	public int getDeleteFlag() {
		return deleteFlag;
	} // 削除フラグ
	
	public String getKName() {
		return kName;
	} // 社員名
	
	public void setKCode(String kCode) {
		this.kCode = kCode;
	} // 社員コード
	
	public void setCommuteSequence(int commuteSequence) {
		this.commuteSequence = commuteSequence;
	} // 通勤手当連番
	
	public void setCommuteType(String commuteType) {
		this.commuteType = commuteType;
	} // 通勤手当区分
	
	public void setPaymentInterval(String paymentInterval) {
		this.paymentInterval = paymentInterval;
	} // 支給間隔
	
	public void setLumpMonthlyType(String lumpMonthlyType) {
		this.lumpMonthlyType = lumpMonthlyType;
	} // 一括区分
	
	public void setPayStartMonth(Date payStartMonth) {
		this.payStartMonth = getDateField(payStartMonth);
	} // 支給開始月ド
	
	public void setCommuteDistance(float commuteDistance) {
		this.commuteDistance = commuteDistance;
	} // 片道距離
	
	public void setCommuteAmount(int commuteAmount) {
		this.commuteAmount = commuteAmount;
	} // 通勤手当支給額
	
	public void setCommuteTaxed(int commuteTaxed) {
		this.commuteTaxed = commuteTaxed;
	} // 課税通勤費
	
	public void setDeleteFlag(int deleteFlag) {
		this.deleteFlag = deleteFlag;
	} // 削除フラグ
	
	public void setKName(String kName) {
		this.kName = kName;
	} // 社員名
	
}
